% X,y,and f down the length of the reactor
clear
clc
close all
Wspan = [0 27]; % Range for the weight of the catalyst. 
y0 = [0; 1]; % Initial values for the dependent variables X and y. 
[w,y]=ode45(@ODEfun,Wspan,y0);
  z=size(y);
for i=1 : z(1,1)
  f(i)=(1+eps*y(i,1))/y(i,2); % Calculating the values of f from its expression 
end
plot(w,y(:,1),w,y(:,2),w,f)
xlabel('W(kg)')
ylabel('f,y,X')
legend('X','y','f')
axis([0 27 0 3])
disp('From the conversion profile or the matlab results,we find that 60% conversion is achieved with 20 kg catalyst in each tube')